<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::create('departments', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->timestamps();
        });

        // Insert predefined departments
        // DB::table('departments')->insert([
        //     ['name' => 'Computer Engineering'],
        //     ['name' => 'Information Technology'],
        //     ['name' => 'Mechanical Engineering'],
        //     ['name' => 'Electrical Engineering'],
        //     ['name' => 'Civil Engineering']
        // ]);
    }


    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('departments');
    }
};
